@font-face {
    font-family: 'BomstadDisplay';
    src: url('/wp-content/themes/maxgym/assets/fonts/Bomstand/BomstadDisplay-Regular.woff2') format('woff2'),
         url('/wp-content/themes/maxgym/assets/fonts/Bomstand/BomstadDisplay-Regular.woff') format('woff');
    font-weight: normal;
    font-style: normal;
}

@font-face {
    font-family: 'BomstadDisplay_Bold';
    src: url('/wp-content/themes/maxgym/assets/fonts/Bomstand/BomstadDisplay-Bold.woff2') format('woff2'),
         url('/wp-content/themes/maxgym/assets/fonts/Bomstand/BomstadDisplay-Bold.woff') format('woff');
    font-weight: bold;
    font-style: normal;
}

body {
    margin: 0;
}

body:before {
    content: "";
    position: fixed;
    left: 50%;
    transform: translateX(-50%);
    background-color: #000;
    width: 1px;
    height: 100vh;
    z-index: 999;
}

.g-hide {
    display: none;
}

body {
    font-family: 'DM Sans', sans-serif;
    background-color: white;
    color: #333;
    margin: 0;
    padding: 0;
    box-sizing: border-box;
    overflow-x: hidden;
	overflow-y: inherit;
    /* Previene el desbordamiento horizontal */
    font-size: 16px;
}

@media (max-width: 480px) {
}

/* Contenedor global */
*,
::before,
::after {
    -webkit-box-sizing: border-box;
    -moz-box-sizing: border-box;
    box-sizing: border-box;
}

.gdev-row {
    display: flex;
    flex-wrap: wrap;
}

@media (max-width: 768px) {
    .container {
        padding: 0 30px;
    }
}

/* Titulos y subtitulos */
h1,
h2,
h3,
h4,
h5,
h6,
.h1,
.h2,
.h3,
.h4,
.h5,
.h6 {
    font-family: 'BomstadDisplay_Bold';
    font-weight: bold;
    margin-top: 0;
}

p {
    color: white;
    font-size: 1.25em;
    line-height: 32px;
    letter-spacing: .5px;
    margin-top: 0;
}
p:last-of-type {
    margin-bottom: 0;
}

h1,
.h1 {
    font-size: 6em;
    line-height: .9em;
    font-weight: 700;
}

h2,
.h2 {
    font-size: 2.5em;
    font-weight: 700;
    line-height: 1.5em;
    letter-spacing: .5px;
    color: #383838;
}

h3,
.h3 {
    font-size: 1.75em;
    font-weight: 600;
    line-height: 32px;
    color: #383838;
}

@media (max-width: 768px) {
    h2,
.h2 {
    font-size:2em;
    line-height:  40px; 
}
	h1,
.h1 {
    font-size: 3em;
    line-height: 1em;
    font-weight: 700;
}
p {
    font-size: 1em;
    line-height: 25px;
}
}


/* Botones */
a {
    text-decoration: none;
    color: #FF5000;
}

.btn-primary {
    font-family: "Montserrat", sans-serif;
    border-radius: 24px;
    padding: 12px 24px;
    border: 1px solid #FF5000;
    background-color: #FF5000;
    color: white;
}

.btn-primary:hover {
    background-color: #BF3C00;
    border-color: #BF3C00;
}

.btn-secomdary {
    font-family: "Montserrat", sans-serif;
    max-width: 200px;
    border-radius: 24px;
    padding: 12px 24px;
    border: 1px solid #FF5000;
    color: #FF5000;
}

.btn-secomdary:hover {
    border: 1px solid #BF3C00;
    color: #BF3C00;
}

@media (max-width: 768px) {
    .btn-primary {
        padding: 10px 14px;
    }

    .btn-secomdary {
        padding: 10px 14px;
    }

}

/* Variables de Botones */
.btn-secomdary-white {
    border: 1px solid #FCFCF7;
    color: #FCFCF7;
}

.btn-secomdary-white:hover {
    border: 1px solid #FEA8A7;
    color: #FEA8A7;
}

.btn-secondary-black {
    border-color: #383838;
    color: #383838;
}

/* Imagenes ajustadas */

img {
    width: 100%;
    height: 100%;
    object-fit: cover;
}

.img-area {
    overflow: hidden;
}

.video-area {
    overflow: hidden;
}


.spacing {
    padding: 60px 0;
    background-color: #F5F5F5;
}

@media (max-width: 768px) {
    .spacing {
        padding: 30px 0;
    }

    .gdev-footer-container {
        display: flex;
        flex-direction: column;
    }
}

/* HEADER */

header {
    background-color: black;
    position: sticky;
    top: 0;
    z-index: 99;
	height: 100px;
  	display: flex;
}

header nav {
    width: 100%;
}

.gdev-header-container {
    display: flex;
    max-width: 1266px;
    margin: auto;
    padding: 0 30px;
	width: 100%;
	justify-content: space-between;
    align-items: center;
}

.gdev-logo {
    margin-right: 30px;
    width: 150px;
    height: auto;
	z-index: 1001;
}

.gdev-logo img {
    width: 100%;
    height: auto;
}

#menu-main-menu {
    display: flex;
    list-style: none;
    padding: 0;
    gap: 74px;
    justify-content: end;
}
@media (max-width:768px){
	#menu-main-menu {
		    gap: 20px;
	}
}
#menu-main-menu li:first-of-type a{
	color: white;
}
#menu-main-menu li:first-of-type a:hover{
	color: #87F24D;
}
#menu-main-menu li:last-of-type a{
	color: #87F24D;
}
#menu-main-menu li:last-of-type a:hover{
	color: white;
}

.menu-item {
    display: flex;
    align-self: center;
}

/* CONTAINER */
html, body{
    margin: 0;
    padding: 0;
}
body{
    background-color: black;
    font-size: 16px;
}
.wp-block-group > div{
	width:100%;
} 

.container{
    max-width: 1266px;
    margin: auto;
    padding: 0 30px;
	width: 100%;
}
p{
    margin-top: 0;
}
h1,h2,h3{
    color: #87F24D;
    margin-top: 0;
}

img{
    width: 100%;
    height: auto;
    object-fit: contain;
}

h2{
   font-weight: 700;
   letter-spacing: 0;
}


/* FOOTER */
.gdev-footer-container {
    width: 100%;
    margin-left: auto;
    margin-right: auto;
    padding: 0 30px;
}
@media (min-width: 769px){
	.mobile{
	display: none;
	}
}

@media (max-width:768px){
	.desktop{
		display: none;
	}
}